import * as React from 'react';

import { MainListItems, SecondaryListItems} from './listItems'
import { List, Divider } from '@mui/material';
import { Logout } from '@mui/icons-material/';
import { Nav } from 'react-bootstrap';
import { 
    ListItem, ListItemIcon,ListItemText,
    SwipeableDrawer
} from '@mui/material/'
import useAuth from '../../Auth/useAuth'

export function MenuMovil(props) {

    let { anchor } = props;
    const auth = useAuth();

    return (
        <React.Fragment >
            <SwipeableDrawer anchor="left" open={anchor} 
                sx={{
                    '& .MuiDrawer-paper': {
                        width : '50%'
                    }
                }}>
                <List style={{ paddingTop : 64 }}>
                    <MainListItems AppBarVisible={anchor} setAppBarVisible={() => console.log('cerrar la vision')} />
                </List>
                <Divider />
                <List>
                    {SecondaryListItems}
                </List>
                <Divider />
                <List>
                    <Nav onClick ={auth.logout}>
                        <ListItem>
                            <ListItemIcon>
                                <Logout/>
                            </ListItemIcon>
                            <ListItemText>
                                Cerrar sesion
                            </ListItemText>
                        </ListItem>
                    </Nav>
                </List>
            </SwipeableDrawer>
        </React.Fragment>
    );
}
